import { ExpressService } from "./expressService";
import { Service } from "../service";
import * as wxkit from "wxkit";
export declare class WechatService extends Service {
    readonly settings: {
        wechat: {
            appId: string;
            secret: string;
            domain?: {
                filename: string;
                content: string;
            };
            baseUrl: string;
        };
    };
    readonly name: string;
    readonly dependencies: string[];
    constructor(settings: {
        wechat: {
            appId: string;
            secret: string;
            domain?: {
                filename: string;
                content: string;
            };
            baseUrl: string;
        };
    });
    services: {
        ExpressService: ExpressService;
    };
    befores: string[];
    initialize(): void;
    client: wxkit.WechatClient;
}
