import { MemoryLockService } from "../service/memoryLockService";
import { MongodbService } from "../service/mongodbService";
import { ExpressService } from "../service/expressService";
import { RouteSessionService } from "../service/routeSessionService";
import { AccountService } from "../service/accountService";
import { AuthenticationService } from "../service/authenticationService";
import { TTLSessionStorage } from "../service/ttlSessionStorage";
import { IncrementalIdService } from "../service/incrementalIdService";
import { LegacyUserAPIService } from "../service/route/api.user";
import { DefaultPageService } from "../service/route/page.default";
import { UploadService } from "../service/uploadService";
import { BlobService } from "../service/blobService";
export declare type AllServices = {
    MemoryLockService: MemoryLockService;
    MongodbService: MongodbService;
    ExpressService: ExpressService;
    RouteSessionService: RouteSessionService;
    AccountService: AccountService;
    AuthenticationService: AuthenticationService;
    TTLSessionStorage: TTLSessionStorage;
    IncrementalIdService: IncrementalIdService;
    LegacyUserAPIService: LegacyUserAPIService;
    DefaultPageService: DefaultPageService;
    UploadService: UploadService;
    BlobService: BlobService;
};
