"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var service_1 = require("../lib/service");
var KeyValueStorage = /** @class */ (function (_super) {
    __extends(KeyValueStorage, _super);
    function KeyValueStorage(settings) {
        var _this = _super.call(this, {
            kvs: {
                collection: "kvs"
            }
        }, settings) || this;
        _this.name = "KeyValueStorage";
        _this.dependencies = ["MongodbService"];
        return _this;
    }
    return KeyValueStorage;
}(service_1.Service));
exports.KeyValueStorage = KeyValueStorage;
var EndlessService = /** @class */ (function (_super) {
    __extends(EndlessService, _super);
    function EndlessService(settings) {
        var _this = _super.call(this, {
            endless: {
                count: 10
            },
        }, settings) || this;
        _this.name = "EndlessService";
        _this.dependencies = [];
        return _this;
    }
    return EndlessService;
}(service_1.Service));
exports.EndlessService = EndlessService;
var MailService = /** @class */ (function (_super) {
    __extends(MailService, _super);
    function MailService(settings) {
        var _this = _super.call(this, {
            mail: {
                provider: null,
                sendgrid: {
                    apiKey: null
                }
            },
        }, settings) || this;
        _this.name = "MailService";
        _this.dependencies = [];
        return _this;
    }
    return MailService;
}(service_1.Service));
exports.MailService = MailService;
var GracefulShutdownService = /** @class */ (function (_super) {
    __extends(GracefulShutdownService, _super);
    function GracefulShutdownService(settings) {
        var _this = _super.call(this, {
            gracefulShutdown: {
                timeout: 1000
            }
        }, settings) || this;
        _this.name = "GracefulShutdownService";
        _this.dependencies = [];
        return _this;
    }
    return GracefulShutdownService;
}(service_1.Service));
exports.GracefulShutdownService = GracefulShutdownService;
var PersistantService = /** @class */ (function (_super) {
    __extends(PersistantService, _super);
    function PersistantService(settings) {
        var _this = _super.call(this, {
            persistant: {
                storage: "/tmp"
            }
        }, settings) || this;
        _this.name = "PersistantService";
        _this.dependencies = ["GracefulShutdownService"];
        return _this;
    }
    return PersistantService;
}(service_1.Service));
exports.PersistantService = PersistantService;
//# sourceMappingURL=service.js.map