"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
if (typeof Leaf == "undefined") {
    var Leaf = require("leaf-ts");
}
function GenerateAccountAPIService(factory, Base) {
    if (factory === void 0) { factory = new Leaf.APIFactory({ prefix: "/api/", bodyType: "json", serializer: Leaf.Serializer.getDefault() }); }
    if (Base === void 0) { Base = /** @class */ (function () {
        function class_1() {
        }
        return class_1;
    }()); }
    return /** @class */ (function (_super) {
        __extends(class_2, _super);
        function class_2() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.factory = factory;
            _this.getCurrentAccount = factory.createAPIFunction({
                method: "POST",
                path: "account/me/GET"
            });
            _this.webLoginStandard = factory.createAPIFunction({
                method: "POST",
                path: "account/authentication/standard/GET"
            });
            _this.getTokenStandard = factory.createAPIFunction({
                method: "POST",
                path: "account/authentication/standard/token/GET"
            });
            _this.registerStandard = factory.createAPIFunction({
                method: "POST",
                path: "account/authentication/standard"
            });
            return _this;
        }
        return class_2;
    }(Base));
}
exports.GenerateAccountAPIService = GenerateAccountAPIService;
//# sourceMappingURL=R.api.js.map