export declare type DependencyMatcher = string | RegExp;
export declare class DependencyManager {
    private context;
    add(name: string, deps: DependencyMatcher[], before?: DependencyMatcher[]): void;
    befores: {
        [name: string]: DependencyMatcher[];
    };
    private addReverseDependency(name, dep);
    onAddDymanicDependency: (name: string) => void;
    resolveDependency(name: string, chain?: string[]): string[];
    resolve(): string[];
}
