"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var leaf_ts_1 = require("leaf-ts");
exports.Validator = leaf_ts_1.Validator;
function ValidateParam(validator) {
    return function (obj, name, descriptor) {
        var fn = descriptor.value;
        descriptor.value = function (option, callback) {
            try {
                validator.check(option);
            }
            catch (e) {
                callback(e);
                return;
            }
            fn.call(this, option, callback);
        };
    };
}
exports.ValidateParam = ValidateParam;
//# sourceMappingURL=validator.js.map