import { Service } from "../service";
import * as mongodb from "mongodb";
export declare namespace MongodbService {
    type Settings = {
        database?: {
            port?: number;
            host?: string;
            name?: string;
        };
    };
}
export declare class MongodbService extends Service<MongodbService.Settings> {
    constructor(settings: MongodbService.Settings);
    services: {};
    name: "MongodbService";
    db: mongodb.Db;
    initialize(done: any): void;
    asBuiltIn(): void;
}
